aboutsummaryrefslogtreecommitdiff
path: root/network/newsbeuter/newsbeuter.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/newsbeuter/newsbeuter.SlackBuild')
-rw-r--r--network/newsbeuter/newsbeuter.SlackBuild31
1 files changed, 6 insertions, 25 deletions
diff --git a/network/newsbeuter/newsbeuter.SlackBuild b/network/newsbeuter/newsbeuter.SlackBuild
index 0fb4ccd19a86..1c9a67d94510 100644
--- a/network/newsbeuter/newsbeuter.SlackBuild
+++ b/network/newsbeuter/newsbeuter.SlackBuild
@@ -5,7 +5,7 @@
# Released under the WTFPL
PRGNAM=newsbeuter
-VERSION=0.8.2
+VERSION=1.2
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -15,11 +15,6 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-# Pass "yes" as the value to ENABLE_SWIG on the command line when executing
-# this script if you have swig and ruby and want the ruby scripting support
-# and are willing to figure out why the build fails with ruby/swig enabled
-ENABLE_SWIG=${ENABLE_SWIG:-no}
-
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
@@ -41,29 +36,15 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 \
-o -perm 400 \) -exec chmod 644 {} \;
-# This ugly thing is because the Makefile/config.sh scripts check for ruby but
-# fail to check for swig and the build bombs if ruby is enabled and swig isn't
-# there. Of course, it fails even if ruby is enabled and swig *is* there, but
-# that's a different story.
-if [ "$ENABLE_SWIG" == "no" ]; then
- sed -i~ 's/if find_rubyflags/if false/' config.sh
-fi
-
-# It would be nice to use $(mandir) here, but the Makefile doesn't use it
-# consistently. Rather than sed yet another file, we'll just move the man page.
CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS" \
- prefix=/usr docdir=/usr/doc/$PRGNAM-$VERSION make
+ prefix=/usr docdir=/usr/doc/$PRGNAM-$VERSION mandir=/usr/man make
-make prefix=$PKG/usr docdir=$PKG/usr/doc/$PRGNAM-$VERSION install
+make prefix=$PKG/usr docdir=$PKG/usr/doc/$PRGNAM-$VERSION \
+ mandir=$PKG/usr/man install
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : |
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : |
- xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object"| grep ELF | \
+ cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-mv $PKG/usr/share/man $PKG/usr/man
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done